<?php

/**
 * Implementation of hook_views_data() to register all of the basic handlers
 * views uses.
 */
function yourmodule_views_data() {

  // Include this filter in the Node filters collection
  $data['new_comments']['table']['group']  = t('Node');

  // Explain how this table joins to others.
  $data['new_comments']['table']['join'] = array(
     // Directly links to node table.
    'node' => array(
      'table' => 'history',
      'left_field' => 'nid',
      'field' => 'nid',
      'extra' => array(
        array('field' => 'uid', 'value' => '***CURRENT_USER***', 'numeric' => TRUE),
      ),
    ),
  );

  $data['new_comments']['timestamp'] = array(
    'title' => t('Has new comments'),
    'filter' => array(
      'help' => t('Show only nodes that have new comments.'),
      'handler' => 'views_handler_filter_has_new_comments',
    ),
  );
  return $data;
  
}


/**
 * Implementation of hook_views_handlers() to register all of the basic handlers
 * views uses.
 */
function yourmodule_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'yourmodule') . '/views',
    ),
    'handlers' => array(
      // field handlers
      'views_handler_filter_has_new_comments' => array(
        'parent' => 'views_handler_filter',
      ),
    ),
  );
}
